summaryrefslogtreecommitdiff
path: root/desktop/whaw/whaw.SlackBuild
diff options
context:
space:
mode:
authorPhillip Warner <pc_warner@yahoo.com>2010-05-13 00:23:17 +0200
committerDavid Somero <xgizzmo@slackbuilds.org>2010-05-13 00:23:17 +0200
commitcad782849c0024e83f74e4ed6952d9dbc7a087e6 (patch)
tree8c6318a13ea6704e0e4f96d5e98d72591c30c8b3 /desktop/whaw/whaw.SlackBuild
parent13d0404eeec342bb241a19d7c9cef07ef253bd4d (diff)
downloadslackbuilds-cad782849c0024e83f74e4ed6952d9dbc7a087e6.tar.gz
desktop/whaw: Updated for version 0.1.2
Diffstat (limited to 'desktop/whaw/whaw.SlackBuild')
-rw-r--r--desktop/whaw/whaw.SlackBuild10
1 files changed, 7 insertions, 3 deletions
diff --git a/desktop/whaw/whaw.SlackBuild b/desktop/whaw/whaw.SlackBuild
index f2c1970324..f4e6c767c7 100644
--- a/desktop/whaw/whaw.SlackBuild
+++ b/desktop/whaw/whaw.SlackBuild
@@ -18,6 +18,8 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
set -e
@@ -40,8 +42,10 @@ CFLAGS="$SLKCFLAGS" CPPFLAGS="$SLKCFLAGS" make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
# Compress the man page
@@ -65,4 +69,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}